<?php

namespace StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for JP_TransportTicketingRS StructType
 * @subpackage Structs
 */
class JP_TransportTicketingRS extends AbstractStructBase
{
    /**
     * The Warnings
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var \StructType\JP_Warnings
     */
    public $Warnings;
    /**
     * The Errors
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var \ArrayType\ArrayOfJP_ErrorType
     */
    public $Errors;
    /**
     * The Reservations
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var \ArrayType\ArrayOfArrayOfJP_TransportTicketInfo
     */
    public $Reservations;
    /**
     * Constructor method for JP_TransportTicketingRS
     * @uses JP_TransportTicketingRS::setWarnings()
     * @uses JP_TransportTicketingRS::setErrors()
     * @uses JP_TransportTicketingRS::setReservations()
     * @param \StructType\JP_Warnings $warnings
     * @param \ArrayType\ArrayOfJP_ErrorType $errors
     * @param \ArrayType\ArrayOfArrayOfJP_TransportTicketInfo $reservations
     */
    public function __construct(\StructType\JP_Warnings $warnings = null, \ArrayType\ArrayOfJP_ErrorType $errors = null, \ArrayType\ArrayOfArrayOfJP_TransportTicketInfo $reservations = null)
    {
        $this
            ->setWarnings($warnings)
            ->setErrors($errors)
            ->setReservations($reservations);
    }
    /**
     * Get Warnings value
     * @return \StructType\JP_Warnings|null
     */
    public function getWarnings()
    {
        return $this->Warnings;
    }
    /**
     * Set Warnings value
     * @param \StructType\JP_Warnings $warnings
     * @return \StructType\JP_TransportTicketingRS
     */
    public function setWarnings(\StructType\JP_Warnings $warnings = null)
    {
        $this->Warnings = $warnings;
        return $this;
    }
    /**
     * Get Errors value
     * @return \ArrayType\ArrayOfJP_ErrorType|null
     */
    public function getErrors()
    {
        return $this->Errors;
    }
    /**
     * Set Errors value
     * @param \ArrayType\ArrayOfJP_ErrorType $errors
     * @return \StructType\JP_TransportTicketingRS
     */
    public function setErrors(\ArrayType\ArrayOfJP_ErrorType $errors = null)
    {
        $this->Errors = $errors;
        return $this;
    }
    /**
     * Get Reservations value
     * @return \ArrayType\ArrayOfArrayOfJP_TransportTicketInfo|null
     */
    public function getReservations()
    {
        return $this->Reservations;
    }
    /**
     * Set Reservations value
     * @param \ArrayType\ArrayOfArrayOfJP_TransportTicketInfo $reservations
     * @return \StructType\JP_TransportTicketingRS
     */
    public function setReservations(\ArrayType\ArrayOfArrayOfJP_TransportTicketInfo $reservations = null)
    {
        $this->Reservations = $reservations;
        return $this;
    }
}
